export const pageJumps = {
	methods:{
		toSearch(){
			uni.navigateTo({
				url: '/pagesA/crm/search/search',
			})
		},
		toMenu(){
			uni.showToast({
				title: "菜单设置页面未完成,无法跳转",
				icon: "none",
				duration: 1000
			})
		},
		toIndexCustomer() {
			uni.navigateTo({
				url: '/pagesA/crm/customerManagement/customerManagement'
			})
		},
		//联系人
		toContacts() {
			uni.navigateTo({
				url: '/pagesA/crm/linkman/linkman',
			})
		},
		toIndexClue() {
			uni.navigateTo({
				url: '/pagesA/crm/cluesManagement/cluesManagement',
			})
		},
		//客户
		toCustomer(){
			uni.navigateTo({
				url: '/pagesA/crm/customerManagement/customerManagement?status='+this.typeIndex+'&stime='+this.startTime+'&etime='+this.endTime,
			})
		},
		//线索
		toClue(){
			uni.navigateTo({
				url: '/pagesA/crm/cluesManagement/cluesManagement?status='+this.typeIndex+'&stime='+this.startTime+'&etime='+this.endTime,
			})
		},
		toIndexRecord() {
			uni.navigateTo({
				url: '/pagesA/crm/followRecord/followRecord',
			})
		},
		//跟进记录
		toRecord(){
			uni.navigateTo({
				url: '/pagesA/crm/followRecord/followRecord?status='+this.typeIndex+'&stime='+this.startTime+'&etime='+this.endTime,
			})
		},
		toIndexContract() {
			uni.navigateTo({
				url:'/pages/index/contract/contract'
			})
		},
		//合同
		toContract(){
			uni.navigateTo({
				url:'/pages/index/contract/contract?status='+this.typeIndex+'&stime='+this.startTime+'&etime='+this.endTime,
			})
		},
		//实际 回款
		toReturnedMoney(){
			uni.navigateTo({
				url: '/pagesA/payment/index?status='+this.typeIndex+'&stime='+this.startTime+'&etime='+this.endTime,
			})
		},
		//公海 客户
		toWaterCustomer() {
			uni.navigateTo({
				url:'/pagesA/crm/customerManagement/waterCustomerManagement'
			})
		},
		
		//附近
		toNears() {
			uni.navigateTo({
				url:'/pages/nearby/nearby'
			})
		},
		//公告
		affiche(){
			uni.navigateTo({
				url: '/pages/news/notice',
			})
		},
		//审批
		remind(){
			uni.navigateTo({
				url: '/pages/news/theReminder/theReminder',
			})
		},
		//工作  报告
		workreport() {
			uni.navigateTo({
				url:'/pages/workreport/list'
			})
		},
		//日程
		agendar() {
			uni.navigateTo({
				url:'/pages/index/schedule/schedule'
			})
		},
		//办公
		approve() {
			uni.navigateTo({
				url:'/pagesA/work/approve/index'
			})
		},
		//待办
		daiban() {
			uni.navigateTo({
				url:'/pagesA/profile/needDeal'
			})
		},
		//出差 签到
		addChuchai() {
			uni.navigateTo({
				url:'/pagesA/signin/busSign'
			})
		},
		toLinkman(){
			uni.navigateTo({
				url: '/pagesA/crm/linkman/linkman',
			})
		},
		toOrder(){
			uni.showToast({
				title: "新增订单设计图测试报错,无法跳转",
				icon: "none",
				duration: 1000
			})
		},
		toExamine(){
			uni.navigateTo({
				url:'/pages/news/theReminder/theReminder'
			})
		},
		taskClick() {
			this.taskShow = true;
		},
		telClick() {
			this.telShow = true; 
		},
		onCancel() {
			this.taskShow = false;
			this.telShow = false;
		},
		toMore() {
			uni.navigateTo({
				url: '/pages/index/groupCompany/groupCompany'
			})
		}
	}
}
export const cluesPageJumps = {
	methods:{
		
	}
}
export const customerPageJumps = {
	methods:{
		toMore(id,type) {    //type  1普通客户   2公海客户   
			console.log(id)
			uni.navigateTo({
				url: '/pages/index/groupCompany/groupCompany?id='+id+'&type='+type
			})
		},
		followClick(id,type) {
			uni.navigateTo({
				url: '/pagesA/crm/customerManagement/newFllow/newFllow?id='+id+'&type='+type
			})
		},
		// 联系人
		linkmanClick(id) {
			uni.navigateTo({
				url:'/pagesA/crm/linkman/newLinkman/newLinkman?id='+id
			})
		},
		// 创建客户
		createClineClick() {
			this.isAdd = true
			uni.navigateTo({
				url:'/pagesA/crm/createCustomer/createCustomer'
			})
		}
	}
}

export const followRecordPageJumps = {
	methods: {
		// 跟进详情
		followDetailClick() {
			uni.navigateTo({
				url:'/pagesA/crm/cluesManagement/followUpDetail/followUpDetail'
			})
		},
		// 跳转集团
		componyClick() {
			console.log('11');
			uni.navigateTo({
				url:'/pages/index/groupCompany/groupCompany'
			}) 
		}
	}
}

export const statisticalPageJumps = {
	methods: {
		// 业绩目标完成度
		achievementObjectClick() {
			uni.navigateTo({
				url:'/pagesA/crm/statisticalFrom/achievementObject/achievementObject'
			})
		},
		//回款 数据 排名
		paymentRankClick() {
			uni.navigateTo({
				url:'/pagesA/crm/statisticalFrom/paymentRank/paymentRank'
			})
		},
		// 成交数据排名
		personRankClick() {
			uni.navigateTo({
				url:'/pagesA/crm/statisticalFrom/personRank/personRank'
			})
		},
		// 业务新增总汇
		collectClick() {
			uni.navigateTo({
				url:'/pagesA/crm/statisticalFrom/collect/collect'
			})
		}
	}
}